Name:    dwdiff       
Version: 2.1.0
Release: 1
Summary: Front end to diff for comparing on a per word basis

Group:   Applications/Text       
License: GPLv3
URL:     http://os.ghalkes.nl/dwdiff.html
Source0: http://os.ghalkes.nl/dist/%{name}-%{version}.tar.bz2
Patch0:  %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext, patch
Requires: gettext

%description
dwdiff is a front-end for the diff program that operates at the word level
instead of the line level. It is different from wdiff in that it allows the
user to specify what should be considered whitespace, and in that it takes an
optional list of characters that should be considered delimiters. Delimiters
are single characters that are treated as if they are words, even when there
is no whitespace separating them from preceding words or delimiters. 


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0


%build
export CC="cc -qcpluscmt"
export LDLIBS="-lintl"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --without-unicode

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README COPYING Changelog 
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Thu Aug 27 2015 Michael Perzl <michael@perzl.org> - 2.1.0-1
- updated to version 2.1.0

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 2.0.10-1
- updated to version 2.0.10

* Fri Feb 07 2014 Michael Perzl <michael@perzl.org> - 2.0.9-1
- updated to version 2.0.9

* Mon Jul 01 2013 Michael Perzl <michael@perzl.org> - 2.0.5-1
- updated to version 2.0.5

* Tue Oct 30 2012 Michael Perzl <michael@perzl.org> - 2.0.4-1
- updated to version 2.0.4

* Sat Jan 28 2012 Michael Perzl <michael@perzl.org> - 2.0.2-1
- updated to version 2.0.2

* Mon Oct 24 2011 Michael Perzl <michael@perzl.org> - 2.0-1
- updated to version 2.0

* Sun Feb 06 2011 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Mon Jul 26 2010 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Wed Jul 07 2010 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Wed Jul 07 2010 Michael Perzl <michael@perzl.org> - 1.7-1
- first version for AIX V5.1 and higher
